package ovh.herisson.Clyde.Services.Msg;

import org.springframework.stereotype.Service;

import lombok.AllArgsConstructor;
import ovh.herisson.Clyde.Repositories.Msg.DiscussionRepository;
import ovh.herisson.Clyde.Tables.User;
import ovh.herisson.Clyde.Tables.Msg.Discussion;

@Service
@AllArgsConstructor
public class DiscussionService {

	private DiscussionRepository discRepo;

	public Discussion create(String name, User author){
		return discRepo.save(new Discussion(name, author));
	}

	public Iterable<Discussion> getOwned(User author){
		return discRepo.findByMembership(author.getRegNo());
	}

}
